%define major         3
%define libname       %mklibname g15daemon_client %major
%define libname_devel %mklibname g15daemon_client -d

Name:                   g15daemon
Version:                3.0.4
Release:                %mkrel 2
Summary:                Daemon to control logitech G15 keyboards
License:                GPLv2+
Group:                  System/Servers
URL:                    https://gitlab.com/menelkir/g15daemon
Source0:                https://gitlab.com/menelkir/g15daemon/-/archive/%{version}/g15daemon-%{version}.tar.bz2
BuildRequires:          systemd
BuildRequires:          g15-devel
BuildRequires:          g15render-devel

Requires(post):         systemd
Requires(preun):        systemd

%description
G15daemon controls the G15 keyboard, allowing the use of
all keys through the linux kernel uinput device driver.
It also controls the use of the keyboard's LCD display,
allows multiple, simultaneous client applications to connect,
and gives the user the ability to switch between client
apps at the press of a button.

%package -n %{libname}
Summary:        Daemon to control logitech G15 keyboards
Group:          System/Libraries
Provides:       g15daemon_client = %{version}-%{release}
Requires:       %name >= %version-%release

%description -n %{libname}
G15daemon controls the G15 keyboard, allowing the use of
all keys through the linux kernel uinput device driver.
It also controls the use of the keyboard's LCD display,
allows multiple, simultaneous client applications to connect,
and gives the user the ability to switch between client
apps at the press of a button.

%package -n %{libname_devel}
Summary:        Daemon to control logitech G15 keyboards
Group:          Development/C
Provides:       g15daemon_client-devel = %{version}-%{release}
Requires:       g15daemon_client = %{version}-%{release}

%description -n %{libname_devel}
G15daemon controls the G15 keyboard, allowing the use of
all keys through the linux kernel uinput device driver.
It also controls the use of the keyboard's LCD display,
allows multiple, simultaneous client applications to connect,
and gives the user the ability to switch between client
apps at the press of a button.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install

rm -r %{buildroot}%{_docdir}

find %{buildroot} -name '*.la' -delete

install -D -m 644 contrib/init/g15daemon.service %{buildroot}%{_unitdir}/g15daemon.service
install -D -m 644 contrib/udev/99-g15daemon.rules %{buildroot}%{_udevrulesdir}/99-g15daemon.rules

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc AUTHORS ChangeLog Documentation/README*
%doc FAQ README* TODO contrib/lang-bindings/
%license COPYING LICENSE
%{_datadir}/g15daemon/
%{_unitdir}/g15daemon.service
%{_udevrulesdir}/99-g15daemon.rules
%{_libdir}/g15daemon/
%{_mandir}/man1/*
%{_sbindir}/g15daemon

%files -n %{libname}
%license COPYING LICENSE
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libname_devel}
%{_includedir}/*
%{_libdir}/*.so
%{_mandir}/man3/*


%changelog
* Tue Apr 30 2024 daviddavid <daviddavid> 3.0.4-2.mga10
+ Revision: 2061730
- remove some unwanted doc files

* Mon Apr 29 2024 daviddavid <daviddavid> 3.0.4-1.mga10
+ Revision: 2061575
- new version: 3.0.4
- now libmajor is 3

* Sun Apr 28 2024 daviddavid <daviddavid> 1.9.5.3-19.mga10
+ Revision: 2061392
- switch to systemd unit from initscripts

* Fri Nov 11 2022 kekepower <kekepower> 1.9.5.3-18.mga9
+ Revision: 1905511
- Rebuild for newly imported libg15render library

* Sat Apr 02 2022 umeabot <umeabot> 1.9.5.3-17.mga9
+ Revision: 1840282
- Mageia 9 Mass Rebuild

* Tue Aug 25 2020 martinw <martinw> 1.9.5.3-16.mga8
+ Revision: 1618945
- fix build with GCC 10 and update URL

* Thu Feb 13 2020 umeabot <umeabot> 1.9.5.3-15.mga8
+ Revision: 1512371
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.9.5.3-14.mga7
+ Revision: 1297812
- Mageia 7 Mass Rebuild

* Tue Jul 17 2018 wally <wally> 1.9.5.3-13.mga7
+ Revision: 1243955
- fix build on aarch64
- drop static devel leftovers from .spec
+ kekepower <kekepower>
- Use new make macros

* Wed Feb 03 2016 umeabot <umeabot> 1.9.5.3-12.mga6
+ Revision: 933382
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.9.5.3-11.mga5
+ Revision: 739952
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.9.5.3-10.mga5
+ Revision: 679393
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.9.5.3-9.mga4
+ Revision: 504702
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.9.5.3-8.mga3
+ Revision: 351012
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 fwang <fwang> 1.9.5.3-7.mga3
+ Revision: 333755
- drop .la file

* Mon Mar 28 2011 ennael <ennael> 1.9.5.3-7.mga1
+ Revision: 78299
- clean spec file
- imported package g15daemon


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.5.3-7mdv2011.0
+ Revision: 610782
- rebuild

* Fri Jan 08 2010 Götz Waschk <waschk@mandriva.org> 1.9.5.3-6mdv2010.1
+ Revision: 487511
- the library depends on the daemon to make the clients work

* Mon Sep 14 2009 Götz Waschk <waschk@mandriva.org> 1.9.5.3-5mdv2010.0
+ Revision: 439655
- rebuild for new libusb

* Sun May 24 2009 Jérôme Brenier <incubusss@mandriva.org> 1.9.5.3-4mdv2010.0
+ Revision: 379121
- fix build (open with O_CREAT error)
- fix license (GPLv2+)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat Feb 16 2008 David Walluck <walluck@mandriva.org> 1.9.5.3-1mdv2008.1
+ Revision: 169218
- 1.9.5.3

* Fri Feb 08 2008 David Walluck <walluck@mandriva.org> 1.9.5.2-1mdv2008.1
+ Revision: 163918
- fix URL
- fix Provides and Requires
- add Requires on rpm-helper
- add reload entry to initscript
- import g15daemon


